#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( profiles )
add_subdirectory( profileengine )
add_subdirectory( newui )
add_subdirectory( tdeconf_update )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces/extensions
  ${CMAKE_SOURCE_DIR}/lib/interfaces/external
  ${CMAKE_SOURCE_DIR}/lib/widgets
  ${CMAKE_SOURCE_DIR}/lib/util
  ${CMAKE_SOURCE_DIR}/src/profileengine/lib
  ${CMAKE_SOURCE_DIR}/src/newui
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    api.h core.h documentationpart.h editorproxy.h
    generalinfowidget.h languageselectwidget.h
    mainwindowshare.h partcontroller.h plugincontroller.h
    projectmanager.h projectsession.h shellextension.h
    splashscreen.h statusbar.h toplevel.h
    ${CMAKE_CURRENT_BINARY_DIR}/generalinfowidgetbase.h
    ${CMAKE_CURRENT_BINARY_DIR}/mimewarningdialog.h
    ${CMAKE_CURRENT_BINARY_DIR}/settingswidget.h
    simplemainwindow.h multibuffer.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/tdevelop/shell )


##### other data ################################

install( FILES tdevelopui.rc eventsrc DESTINATION ${DATA_INSTALL_DIR}/tdevelop )
install( FILES tdeveloprc kdevassistantrc DESTINATION ${CONFIG_INSTALL_DIR} )
install( FILES kdevassistantui.rc DESTINATION ${DATA_INSTALL_DIR}/kdevassistant )
install( FILES projectprofiles DESTINATION ${DATA_INSTALL_DIR}/tdevelop/profiles )


##### tdevelop (executable) #####################

tde_add_executable( tdevelop
  SOURCES
    main.cpp kdevideextension.cpp settingswidget.ui
  LINK kdevshell-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kdevassistant (executable) ################

tde_add_executable( kdevassistant
  SOURCES
    main_assistant.cpp kdevassistantextension.cpp
  LINK kdevshell-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### kdevshell (shared) ########################

tde_add_library( kdevshell SHARED AUTOMOC
  SOURCES
    api.cpp core.cpp documentationpart.cpp editorproxy.cpp
    generalinfowidget.cpp generalinfowidgetbase.ui
    languageselectwidget.cpp mainwindowshare.cpp
    mimewarningdialog.ui multibuffer.cpp partcontroller.cpp
    plugincontroller.cpp pluginselectdialog.cpp
    pluginselectdialog.h pluginselectdialogbase.ui
    projectmanager.cpp projectsession.cpp shellextension.cpp
    simplemainwindow.cpp splashscreen.cpp statusbar.cpp
    toplevel.cpp
  VERSION 0.0.0
  LINK
    kdevutil-static d-shared kinterfacedesigner-shared
    profileengine-shared tdevelop-shared kdevwidgets-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
